Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityDamageSourceIndirect

    java.lang.Object
      net.minecraft.src.DamageSource
          net.minecraft.src.EntityDamageSource
              net.minecraft.src.EntityDamageSourceIndirect

    public class EntityDamageSourceIndirect

extends EntityDamageSource

Field Summary

Fields inherited from class net.minecraft.src.DamageSource
`anvil, cactus, damageType, drown, explosion, fall, fallingBlock, field_76375_l, generic, inFire, inWall, lava, magic, onFire, outOfWorld, starve, wither`

Constructor Summary
`EntityDamageSourceIndirect(String par1Str, Entity par2Entity, Entity par3Entity)`

Method Summary
`String` | `getDeathMessage(EntityPlayer par1EntityPlayer)` Returns the message to be displayed on player death.
`Entity` | `getEntity()`
`Entity` | `getSourceOfDamage()`

Methods inherited from class net.minecraft.src.EntityDamageSource
`func_76350_n`

Methods inherited from class net.minecraft.src.DamageSource
`canHarmInCreative, causeArrowDamage, causeFireballDamage, causeIndirectMagicDamage, causeMobDamage, causePlayerDamage, causeThrownDamage, func_76351_m, getDamageType, getHungerDamage, isFireDamage, isMagicDamage, isProjectile, isUnblockable, setMagicDamage, setProjectile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityDamageSourceIndirect

    public EntityDamageSourceIndirect(String par1Str,
                                      Entity par2Entity,
                                      Entity par3Entity)

Method Detail

### getSourceOfDamage

    public Entity getSourceOfDamage()

  Overrides:
    `getSourceOfDamage` in class `DamageSource`

### getEntity

    public Entity getEntity()

  Overrides:
    `getEntity` in class `EntityDamageSource`

### getDeathMessage

    public String getDeathMessage(EntityPlayer par1EntityPlayer)

  Returns the message to be displayed on player death.

  Overrides:
    `getDeathMessage` in class `EntityDamageSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD